Subject: Re: [bug#30892] [PATCH 00/37] Add ghc-yesod and its dependencies.

From: rsiddharth <[email-masked]>
Date: Sun, 08 Apr 2018 14:27:18 +0000

[email-masked] (Ludovic Courtès) writes:

> Hello rsiddharth,
>
> I applied the whole series (which was quite intimidating, hence the
> delay ;-)) and confirmed that ‘ghc-yesod’ builds fine on my x86_64 laptop.
>
> rsiddharth <[email-masked]> skribis:
>
>> * Tests were disabled for:
>>     - ghc-psqueues
>>     - ghc-math-functions
>
> Did you try to look closer into that?  It’d be interesting to see if
> there’s a real issue here.

1. ghc-psqueues version 0.2.2.3 (current version in guix master) requires
   QuickCheck < 2.10 for tests.

   Tests successfully run for ghc-psqueues version 0.2.6.0. I've sent a
   patch[1].

   [1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31096

2. One test[2] fails for ghc-math-functions. I'm not sure how to fix
   it :( Here's the build dump:

    https://ricketyspace.net/tmp/guix-build-ghc-math-functions-0.2.1.0.drv-0.tar.xz

    for you perusal.
    
   [2]: Called "incompleteBeta is expected to be precise at 32*m_epsilon level".